import annotation

try:
    # Parse the genbank file and extract annotation information
    annotations = annotation.extract_annotations("test_annotation2.gb")
    print(annotations)
    assert len(annotations) >= 1

    # Filter the annotations based on user-defined criteria
    filter_dict = {"product": "Beta-lactamase"}
    filtered_annotations = annotation.filter_annotations(annotations, filter_dict)
    assert len(filtered_annotations) == 2
    assert filtered_annotations[0]["product"] == "Beta-lactamase"
    assert filtered_annotations[1]["product"] == "Beta-lactamase"

    # Search the annotations based on a user-defined query
    query = "aminoglycoside"
    matched_annotations = annotation.search_annotations(annotations, query)
    assert len(matched_annotations) == 1
    assert matched_annotations[0]["product"] == "Aminoglycoside 3'-O-phosphotransferase"

except Exception as e:
    print(e)
